# Retrieve a recipient delivery report A recipient delivery report contains the message status for a single recipient phone number. Endpoint: GET /xms/v1/{service_plan_id}/batches/{batch_id}/delivery_report/{recipient_msisdn} Version: v1 Security: BearerAuth ## Path parameters: - `service_plan_id` (string, required) Your service plan ID. You can find this on your Dashboard. Example: "jd63jf88477ll123ab4567cd89012ef3" - `batch_id` (string, required) The batch ID you received from sending a message. Example: "01FC66621XXXXX119Z8PMV1QPQ" - `recipient_msisdn` (string, required) Phone number for which you to want to search. Example: "+134848393506" ## Response 200 fields (application/json): - `at` (string, required) A timestamp of when the Delivery Report was created in the Sinch service. Formatted as [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601): YYYY-MM-DDThh:mm:ss.SSSZ. - `batch_id` (string, required) The ID of the batch this delivery report belongs to Example: "01FC66621XXXXX119Z8PMV1QPQ" - `code` (integer, required) The detailed [status code](https://developers.sinch.com/docs/sms/api-reference/sms/delivery-reports/delivery-report-error-codes). Enum: 400, 401, 402, 403, 404, 405, 406, 407, 408, 410, 411, 412, 413, 414, 415, 416, 417, 418 - `recipient` (string, required) Phone number that was queried. Example: "15551231234" - `status` (string, required) The simplified status as described in _Delivery Report Statuses_. Enum: "Queued", "Dispatched", "Aborted", "Cancelled", "Failed", "Delivered", "Expired", "Rejected", "Deleted", "Unknown" - `type` (string, required) The recipient delivery report type. Enum: "recipient_delivery_report_sms", "recipient_delivery_report_mms" - `applied_originator` (string) The default originator used for the recipient this delivery report belongs to, if default originator pool configured and no originator set when submitting batch. - `client_reference` (string) The client identifier of the batch this delivery report belongs to, if set when submitting batch. - `encoding` (string) Applied encoding for message. Present only if smart encoding is enabled. Enum: "GSM", "UNICODE" - `number_of_message_parts` (integer) The number of parts the message was split into. Present only if max_number_of_message_parts parameter was set. Example: 1 - `operator` (string) The operator that was used for delivering the message to this recipient, if enabled on the account by Sinch. Example: "35000" - `operator_status_at` (string) A timestamp extracted from the Delivery Receipt from the originating SMSC. Formatted as [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601): YYYY-MM-DDThh:mm:ss.SSSZ. ## Response 400 fields (application/json): - `code` (string) The error code. See [error codes](https://developers.sinch.com/docs/sms/api-reference/status-codes/). - `text` (string) The human readable description of the error. ## Response 404 fields